[PVFS2-CVS] commit by robl in pvfs2-1/test/automated/tests.d: bonnie cp iozone ping shelltest

CVS commit program cvs at parl.clemson.edu
Wed Jun 22 15:34:05 EDT 2005


Update of /projects/cvsroot/pvfs2-1/test/automated/tests.d
In directory parlweb:/tmp/cvs-serv8022/tests.d

Added Files:
	bonnie cp iozone ping shelltest 
Log Message:
the more-cooler "run all tests in this directory" method.  I find it more
manageable than enumerating all the tests in one big fat file.


--- /dev/null	2003-01-30 05:24:37.000000000 -0500
+++ bonnie	2005-06-22 14:34:05.000000000 -0400
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+pushd .
+cd ${TESTS}/bonnie++-1.03a
+./configure -q && make && cd ${PVFS2_MOUNTPOINT} || return 1
+cd ${PVFS2_MOUNTPOINT} && \
+	${TESTS}/bonnie++-1.03a/bonnie++ -n 1:0:0 -s :$((1024*128))
+popd

--- /dev/null	2003-01-30 05:24:37.000000000 -0500
+++ cp	2005-06-22 14:34:05.000000000 -0400
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+${PVFS2_DEST}/INSTALL-pvfs2/bin/pvfs2-cp \
+                ${PVFS2_DEST}/pvfs2/configure ${PVFS2_MOUNTPOINT}/configure

--- /dev/null	2003-01-30 05:24:37.000000000 -0500
+++ iozone	2005-06-22 14:34:05.000000000 -0400
@@ -0,0 +1,11 @@
+#!/bin/sh
+pushd .
+cd ${TESTS}/iozone3_239/src/current  || return 1
+make linux  || return 1
+# -y min record size
+# -q max record size
+# -n min file size
+# -g max file size
+./iozone -a -y 4096 -q $((1024*16)) -n 4096 -g $((1024*16*2)) \
+        -f ${PVFS2_MOUNTPOINT}/test_iozone_file
+popd

--- /dev/null	2003-01-30 05:24:37.000000000 -0500
+++ ping	2005-06-22 14:34:05.000000000 -0400
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+${PVFS2_DEST}/INSTALL-pvfs2/bin/pvfs2-ping -m $PVFS2_MOUNTPOINT

--- /dev/null	2003-01-30 05:24:37.000000000 -0500
+++ shelltest	2005-06-22 14:34:05.000000000 -0400
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+sh ${PVFS2_DEST}/pvfs2/test/kernel/linux-2.6/pvfs2-shell-test.sh ${PVFS2_MOUNTPOINT}



More information about the PVFS2-CVS mailing list